*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: "Exo";
    line-height: 1.7;
    padding: 30px 15px;
    background-color: #FAEDCA;
}

p{
font-family: "Exo", sans-serif;
  font-optical-sizing: auto;
  
}

/*
#FE5D26  naranja
#F2C078 naranja light o amarillo
#FAEDCA crema
#C1DBB3 verde crema

#FFD95F
#FFEFC8 crema
#B8D576 verde crema 
#D70654 rojo

#96d576 verde un poco mas fuerte que el crema

Playpen Sans Deva
*/

.recipe-finder-container{
    max-width: 1200px;
    padding: 0 15px;
    text-align: center;
    margin-inline: auto;
}

h1{
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 30px;
    letter-spacing: -1px;
}

.search-box{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 40px;
    margin-inline: auto;
    max-width: 600px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.8);
    border-radius: 8px;

}

#search-input{
    padding: 15px 20px;
    font-size: 1rem;
    flex-grow: 1;
    border: 1px solid #e9ecef;
    border-radius: 8px 0 0 8px;
    outline: none;
    transition: border-color 0.3s ease;
}

#search-input:focus{
    border-color: #F2C078;
}

#search-button{
    padding: 14px 25px;
    font-size: 1.1rem;
    font-weight: bold;
    letter-spacing: 2px;
    font-family: "Exo", sans-serif, bold;
    background-color: #76b158;
    color: white;
    border: none;
    border-radius: 0 8px 8px 0;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#search-button:hover{
    background-color: #FE5D26;
}

#random-button{
    padding: 10px 25px;
    font-size: 0.95rem;
    font-weight: 600;
    font-family: "Exo", sans-serif, bold;
    background-color: rgb(23, 108, 80);
    border: none;
    color: #fff;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.2s ease;
    box-shadow: 0 2px 8px rgb(0,0,0,0.1);

}

#random-button:hover{
    background-color: #FE5D26;
    transform: translateY(-2px);
}

#results-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
    gap: 25px;
    margin-top: 30px;

}

.recipe-item img{
    width: 100%;
    height: 220px;
    object-fit: cover;
   
}

.recipe-item{
    background-color: #F2C078;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    /*text-align: left;*/
    flex-direction: column;
    cursor: pointer;
    width: 100%;
    transition: all 0.25s ease-in-out;
}

.recipe-item:hover{
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
}

.recipe-item h3{
    font-size: 1.15rem;
    font-weight: 600;
    padding: 15px;
    margin: 0;
}

.modal-container{
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    opacity: 1;
    visibility: visible;
    backdrop-filter: blur(3px);
    padding: 20px;
    transition: opacity 0.3s ease visibility 0s ease 0s;
}

.modal-container.hidden{
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0s ease 0.3s, backdrop-filter 0.3s ease;
    backdrop-filter: blur(0px);

}

.modal-content{
    background-color: white;
    max-width: 800px;
    max-height: 90vh;
    overflow-y: auto;
    box-shadow: 0 10px 30px rgba(0,0,0,0.15);
    border-radius: 8px;
    padding: 35px 40px;
    position: relative;
    transform: scale(1);
    transition: transform 0.3s ease;
}

.modal-container.hidden .modal-content{
    transform: scale(0.95);
}

.modal-content .modal-close-btn{
    position: absolute;
    top: 15px;
    right: 15px;
    background-color: #F2C078;
    border: 1px solid #FE5D26;
    border-radius: 50%;
    height: 35px;
    width: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
    cursor: pointer;
    color: #6c757d;
    transform: rotate(45deg);
    transition: all 0.2s ease;
}

.modal-content .modal-close-btn:hover{
    transform: rotate(135deg);
    color: #FE5D26;
}

#recipe-details-content h2{
    font-size: 1.8rem;
    font-weight: 700;
    margin-bottom: 20px;
    color: #76b158;
}

#recipe-details-content img{
    width: 100%;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0,0,0, 0.1);
}

#recipe-details-content h3{
     font-size: 1.2rem;
     font-weight: 600;
     margin-top: 25px;
     margin-bottom: 10px;
     border-bottom: 2px solid #F2C078;
     padding-bottom: 8px;
}

#recipe-details-content ul{
    list-style: none;
    padding-left: 0;
    margin-bottom: 25px;
    
}

#recipe-details-content ul li{
    padding: 8px 0;
    border-bottom: 1px dashed;
    font-size: 0.95rem;
}

#recipe-details-content ul li:last-child{
   border-bottom: none;
}

#recipe-details-content p{
     line-height: 1.8;
    font-size: 1rem;
}

#recipe-details-content a{
    color: #76b158;
    text-decoration: none;
    font-weight: bold;
}

#recipe-details-content a:hover{
    text-decoration: underline;
    color: #6c757d;
}

#recipe-details-content .videowrapper{
    margin-top: 15px;
    margin-bottom: 15px;
}

.message{
    margin: 25px auto;
    padding: 6px;
    max-width: 700px;
    font-size: 1rem;
    border-radius: 8px;
}

.message.error{
    color: #dc3545;
    font-weight: bold;
    background-color: #f8d7da;
    border: 1px solid #F5c6cb;
}

.message.info, message.loading{
    /*color: #17a2b8;*/
    color: #e43e07;
    background-color: #d1ecf1;
    border: 1px solid #bee5eb;
}